# DataFormField class

## Constructors

DataFormField ({required List <DataFormOption> options, required List <String> values, required bool isRequired, String? varAttr, String? type, String? description, String? label})
  const

## Properties

description → String?
  final
hashCode → int
  The hash code for this object.
  no setterinherited
isRequired → bool
  final
label → String?
  final
options → List <DataFormOption>
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
type → String?
  final
values → List <String>
  final
varAttr → String?
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited